Subject: [PATCH] Treat period as a symbol constituent in cc-mode
From: Vladislav Yegorov <[email-masked]>
To: [email-masked]
Date: Fri, 26 Jul 2024 21:20:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I am not sure if this is intended behavior or not, but as it's just a
small change I am directly submitting a patch.

I would expect c-mode to treat numbers with a decimal point as one
symbol instead of two separate.  The same thing can be said about
designated initializers (i.e. {.pi = 3.14}).  I quickly checked the
behavior in emacs-lisp-mode and it works as I would expect there
(forward-symbol skips a decimal point number as a whole).